### Method

# Gdk Clipboard read_value_async

#### Declaration [src]

    void
    gdk_clipboard_read_value_async (
      GdkClipboard* clipboard,
      GType type,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to the given `type`.

For local clipboard contents that are available in the given `GType`, the value will be copied directly. Otherwise, GDK will try to use `gdk_content_deserialize_async()` to convert the clipboard’s data.

This method completes asynchronously. Use `gdk_clipboard_read_value_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`type`

  Type: `GType`

  A `GType` to read.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.